Package org.apache.cayenne.dba.firebird

## Class FirebirdSQLTreeProcessor

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor
  - - org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor
    - - org.apache.cayenne.dba.firebird.FirebirdSQLTreeProcessor

- All Implemented Interfaces:
    `NodeTreeVisitor`, `SQLTreeProcessor`

      public class FirebirdSQLTreeProcessor
      extends BaseSQLTreeProcessor

  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FirebirdSQLTreeProcessor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `onFunctionNode​(Node parent, FunctionNode child, int index)` |
    `protected void` | `onInNode​(Node parent, InNode child, int index)` |
    `protected void` | `onLimitOffsetNode​(Node parent, LimitOffsetNode child, int index)` |
    `protected void` | `onValueNode​(Node parent, ValueNode child, int index)` |

    - ### Methods inherited from class org.apache.cayenne.access.translator.select.BaseSQLTreeProcessor

      `onChildNodeStart, onColumnNode, onDistinctNode, onLikeNode, onResultNode, onUndefinedNode, process, replaceChild, replaceChild, wrapInFunction`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor

      `onChildNodeEnd, onNodeEnd, onNodeStart`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FirebirdSQLTreeProcessor

          public FirebirdSQLTreeProcessor()

  - ### Method Detail

    - #### onValueNode

          protected void onValueNode​(Node parent,
                                     ValueNode child,
                                     int index)

      Overrides:
        `onValueNode` in class `BaseSQLTreeProcessor`

    - #### onLimitOffsetNode

          protected void onLimitOffsetNode​(Node parent,
                                           LimitOffsetNode child,
                                           int index)

      Overrides:
        `onLimitOffsetNode` in class `BaseSQLTreeProcessor`

    - #### onInNode

          protected void onInNode​(Node parent,
                                  InNode child,
                                  int index)

      Overrides:
        `onInNode` in class `BaseSQLTreeProcessor`

    - #### onFunctionNode

          protected void onFunctionNode​(Node parent,
                                        FunctionNode child,
                                        int index)

      Overrides:
        `onFunctionNode` in class `BaseSQLTreeProcessor`